com.impinj.octane

## Class TruncatedReplySettings

- java.lang.Object
- - com.impinj.octane.TruncatedReplySettings

-     public class TruncatedReplySettings
      extends java.lang.Object

  Class containing the settings for using Truncated Reply during Inventory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruncatedReplySettings()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getBitPointer()` Select a starting bit location in the EPC memory bank that will be used for the truncating select command.
    `byte` | `getEpcLengthInWords()` The EPC length, in 16-bit words, of all tags in the field of view.
    `boolean` | `getGen2v2TagsOnly()` If only Gen2v2 tags are in the field of view then setting the Gen2v2TagsOnly flag will perform an additional CRC check to further validate the integrity of the tag response.
    `boolean` | `getIsEnabled()` Get flag indicating whether the Truncated Reply feature is enabled.
    `java.lang.String` | `getTagMask()` Specifies the mask that must match the EPC memory bank starting at Pointer.
    `void` | `setBitPointer(short bitPointer)`
    `void` | `setEpcLengthInWords(byte epcLengthInWords)`
    `void` | `setGen2v2TagsOnly(boolean gen2v2TagsOnly)`
    `void` | `setIsEnabled(boolean isEnabled)`
    `void` | `setTagMask(java.lang.String tagMask)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TruncatedReplySettings

          public TruncatedReplySettings()

  - ### Method Detail

    - #### getIsEnabled

          public boolean getIsEnabled()

      Get flag indicating whether the Truncated Reply feature is enabled.

    - #### setIsEnabled

          public void setIsEnabled(boolean isEnabled)

    - #### getGen2v2TagsOnly

          public boolean getGen2v2TagsOnly()

      If only Gen2v2 tags are in the field of view then setting the Gen2v2TagsOnly flag will perform an additional CRC check to further validate the integrity of the tag response. If this flag is enabled non-Gen2v2 tags will be ignored.

    - #### setGen2v2TagsOnly

          public void setGen2v2TagsOnly(boolean gen2v2TagsOnly)

    - #### getEpcLengthInWords

          public byte getEpcLengthInWords()

      The EPC length, in 16-bit words, of all tags in the field of view. If Gen2V2TagsOnly is true, only tags with EPCs of this length can reply and tags with EPCs that are not this length will be ignored.

    - #### setEpcLengthInWords

          public void setEpcLengthInWords(byte epcLengthInWords)

    - #### getBitPointer

          public short getBitPointer()

      Select a starting bit location in the EPC memory bank that will be used for the truncating select command.

    - #### setBitPointer

          public void setBitPointer(short bitPointer)

    - #### getTagMask

          public java.lang.String getTagMask()

      Specifies the mask that must match the EPC memory bank starting at Pointer. The end of the mask defines the start location of EPC reported by the tag. If the RO Spec contains C1G2Filters then the length of TagMask must be 0. Filter validation is disabled when truncated reply is used.

    - #### setTagMask

          public void setTagMask(java.lang.String tagMask)